Subject: Re: bug#40493: installer: Provide a way to select multiple keyboard layouts

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 9 Apr 2020 06:14:11 +0200

On Wed, Apr 08, 2020 at 03:22:34PM +0200, Ludovic Courtès wrote:
> Go for it, thank you!

I added some more heuristics on whether a layout is Latin or not and
after much testing pushed as 91c231a2223440081426929828a23c7baa0214fd.
There are still few false positives like non-Kana Japanese layouts
that are Latin but toggle to U.S.  They can be fixed later.

More importantly with 7bc71025ccd0fabd739803889825e10341fbabdf I also
fixed a layout’s empty variant "" not being a choice in the installer.
The "" variant is the only variant of the Azerbaijani layout providing
the Latin script Azerbaijan uses since a few decades, so it is
important.  I hope the code is alright; maybe I should not have just
pushed, but I believe it is alright.

Marking as done.

Regards,
Florian